Developers
Invoices

List one-time invoices

GET
/invoices

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
cursor?string
Length1 <= length
external_id?string
Length1 <= length
customer?string
Length1 <= length
status?string

Value in

  • "draft"
  • "issued"
updated_since?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/invoices"
{  "object": "list",  "data": [    {      "object": "invoice",      "id": "string",      "external_id": "string",      "customer_id": "string",      "currency": "string",      "issue_date": "string",      "title": "string",      "auto_send": true,      "status": "draft",      "dinero_invoice_guid": "string",      "dinero_invoice_number": -9007199254740991,      "issued_at": "string",      "lines": [        {          "id": "string",          "product_id": "string",          "recognition_method": "value",          "agreed_value": 0,          "hourly_rate": 0,          "discount": 0,          "description_override": "string",          "position": -9007199254740991,          "assignees": [            {              "user_id": "string",              "distribution_percentage": 0,              "hourly_rate_override": 0            }          ]        }      ]    }  ],  "has_more": true,  "next_cursor": "string"}